AUTOMAKE_OPTIONS = foreign no-dependencies no-installinfo
INCLUDES = -I@top_srcdir@ @ROOT_INCLUDES@
LDFLAGS = @ROOT_LDFLAGS@

YODA_HEADER_FILES           = TmtcEvent.h TmtcRecord.h
yodaincdir                  = $(includedir)/yoda/event/tmtc
yodainc_HEADERS             = ${YODA_HEADER_FILES}

YODA_SOURCES                = TmtcEvent.cpp TmtcRecord.cpp

BUILT_SOURCES               = TmtcDict.cpp TmtcDict.h

noinst_LTLIBRARIES          = libtmtcevent.la

libtmtcevent_la_SOURCES     =   ${YODA_HEADER_FILES}   \
                                ${YODA_SOURCES}        \
                                ${BUILT_SOURCES}       \
                                LinkDef.h

TmtcDict.cpp: ${YODA_HEADER_FILES} LinkDef.h
	@ROOTCINT@ -f $@ -c ${INCLUDES} $^
